#!/bin/ksh
# stderr and stdour redirection is done already when this script is called

if [ "$PERL" = "/opt/freeware/bin/perl" ]; then
  # Perl LWP module on AIX requires openssl from /usr/lib!!! It does not work with  /opt/freeware/lib one
  # It is a must for /opt/freeware/bin/perl && AIX && REST API https
  libpath_save=$LIBPATH
  export LIBPATH=/usr/lib:/opt/freeware/lib:$LIBPATH
fi

STORAGE_NAME_SPACE=`echo "$STORAGE_NAME" | sed 's/ /===space===/g'`
PROC=`ps -ef | egrep 'compellentperf.pl *'$STORAGE_NAME_SPACE' *$' | grep -v grep | wc -l|sed 's/ //g'`
if [ $PROC -lt 2 ]; then
  $PERL -w $BINDIR/compellentperf.pl $STORAGE_NAME
else
  date_act=`date "+%Y-%m-%d_%H:%M"`
  echo "$0: $date_act : Command compellentperf.pl is already running for $STORAGE_NAME, cannot start the next one"  
  echo "$0: $date_act : Command compellentperf.pl is already running for $STORAGE_NAME, cannot start the next one"  2>>"$ERRLOG_COMPELLENT"
fi

PROC=`ps -ef | egrep 'compellentconf.pl *'$STORAGE_NAME_SPACE' *$' | grep -v grep | wc -l|sed 's/ //g'`
if [ $PROC -lt 1 ]; then
  # start configuration only if there is not running any compellentconf.pl $STORAGE_NAME 
  $PERL -w $BINDIR/compellentconf.pl $STORAGE_NAME
else
  date_act=`date "+%Y-%m-%d_%H:%M"`
  echo "$0: $date_act : Command compellentconf.pl is already running for \"$STORAGE_NAME\", cannot start the next one"  2>>"$ERRLOG_COMPELLENT"
fi

if [ "$PERL" = "/opt/freeware/bin/perl" ]; then
  # return LIBPATH before use in rrdtool
  unset LIBPATH
  export LIBPATH=$libpath_save
fi

$PERL -w $BINDIR/data_load.pl $STORAGE_NAME
if [ ! $? -eq 0 ]; then
  date_act=`date "+%Y-%m-%d_%H:%M"`
  echo "compellent_stor_load.sh: $date_act : Command data_load.pl ends with return code $?" 2>>"$ERRLOG"
  exit 1
fi

